# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Get the status of an ACH payment In this tutorial, you learn how to get the status of an ACH payment. > The Global Payments API supports [callbacks](/docs/treasury/global-payments/capabilities/global-payments-2/callbacks) for automatic status updates. > ## Before you begin To get the status of an ACH payment, you need the following: - A [registered and fully onboarded account](/docs/quick-start) on the J.P. Morgan Payments Developer Portal. - An active project that provides you with the credentials to make a request. - An paymentId provided in a [successful response](/docs/treasury/global-payments/capabilities/global-payments-2/ach/how-to/initiate-ach-payment#confirm-the-response). ## Send a request Request payloads for the Global Payments API contain optional and required fields. Use the `paymentId` to retrieve the ACH payment information. The following example shows how to send a `GET` request to the `/payments` endpoint with your `paymentId` to retrieve the status or full details of an ACH payment. ### Retrieve RTP payment status To get the status of an ACH payment, simply send a `GET` request to the `/payments` endpoint with your `paymentId`. The response will be in SUMMARY view by default, though you may specify `view=SUMMARY` if preferred. ```curl curl \ --request GET \ --url 'https://api.payments.jpmorgan.com/payment/v2/payments/{ ce445df7-d1af-4782-9144-2fcf04c944d8}' \ --header 'Accept: application/json' \ --header 'Request-Id: 1a2b3c4d-5e6f-7g8h-9i0j-1121a3m5o6p' ``` The following response will include the current status of your RTP payment: ```json { "paymentId": "ce445df7-d1af-4782-9144-2fcf04c944d8", "paymentStatus": "PROCESSING", "statusUpdatedAt": "2024-10-01T14:15:22Z", "requestedExecutionDate": "2024-10-01", "paymentIdentifiers": { "endToEndId": "E2E3000112CENDXX" }, "transferType": "CREDIT", "paymentType": "ACH" } ``` ### Retrieve ACH payment details (FULL view) To get the full details of an ACH payment, send a `GET` request to the `/payments` endpoint and specify `view=FULL`. ```curl curl \ --request GET \ --url https://api.payments.jpmorgan.com/payment/v2/payments/{ ce445df7-d1af-4782-9144-2fcf04c944d8?view=FULL } \ --header 'Accept: application/json' \ --header 'Request-Id: 1a2b3c4d-5e6f-7g8h-9i0j-1121a3m5o6p' ``` The following response will include all available details for your ACH payment: ```curl { "paymentId": "c0d45df7-d1af-4782-9144-2fcf04c944d8", "paymentStatus": "PROCESSING", "statusUpdatedAt": "2024-10-01T14:15:22Z", "requestedExecutionDate": "2024-10-01", "paymentIdentifiers": { "endToEndId": "E2E3000112CCDXX" }, "value": { "currency": "USD", "amount": "101.50" }, "transferType": "CREDIT", "paymentType": "ACH", "paymentTypeInformation": { "serviceLevelCode": "NURG", "localInstrumentCode": { "code": "CCD" } }, "debtor": { "name": "John Doe", "account": { "accountNumber": "123456789", "accountCurrency": "USD" }, "postalAddress": { "country": "US" }, "partyId": { "organizationIds": [ { "organizationId": "1234567000", "schemeName": { "proprietary": "JPMCOID" } } ] } }, "debtorAgent": { "financialInstitutionIds": [ { "id": "021000021", "idType": "USABA" } ], "postalAddress": { "country": "US" } }, "creditorAgent": { "financialInstitutionIds": [ { "id": "021000021", "idType": "USABA" } ], "postalAddress": { "country": "US" } }, "creditor": { "name": "Jane Doe", "account": { "accountNumber": "98765432" }, "postalAddress": { "country": "US" } }, "paymentPurpose": { "categoryPurpose": { "proprietary": "PAYROLL" } } } ``` ## Related - For more information about ACH credit payment parameters, see [Payment parameters (credit)](/docs/treasury/global-payments/capabilities/global-payments-2/ach/payment-parameters-credit). - For more information about ACH debit payment parameters, see [Payment parameters (debit)](/docs/treasury/global-payments/capabilities/global-payments-2/ach/payment-parameters-debit). - For more information about the status responses and error codes supported by the Global Payments API, see [Global Payments 2 status response and error response codes](/api/treasury/global-payments/global-payments-2/error-codes).